QGIS Application - Bug report #5794
QGIS_mapserv crashes if | add an empty layer in the mapfile
2012-06-13 11:35 AM - aboudreault -

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: QGIS Server

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 15285
Description

Using qgis_mapserv 1.7.4, when | try to specify a mapfile that contains an empty layer (no data) ... it crashes with: terminate called after
throwing an instance of 'QgsCsException'. | normally create a mapfile and setup everything on the application.... then some data are
loaded by the client in the layer using a tool.

History

#1 - 2012-06-13 11:43 AM - Giovanni Manghi
- Assignee set to Marco Hugentobler

dod you tested qgis 1.8?

#2 - 2012-09-04 11:51 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2014-06-28 07:42 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#4 - 2014-10-17 01:01 AM - lars Lingner

| can confirm this issue on Ubuntu server 14.04. with qgis-mapserver 2.4.0-Oprecise2 amd64

uname -a
Linux 1344330903-6 3.2.0-60-generic #91-Ubuntu SMP Wed Feb 19 03:54:44 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Running with Apache mod_fcgi

| could also provide a Coredump file.

#5 - 2015-10-08 12:54 AM - Giovanni Manghi

As far as | can see still an issue on 2.8.3 and master.

#6 - 2016-08-18 02:51 AM - lars Lingner

With version 2.16 this issue seams to be solved. | made a test with an empty query result from a postgis view, QGis Server doesn't crash anymore.
#7 - 2017-03-07 10:55 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Open to Closed

| also tested it today, and is ok now.
